/* ncgets.c: this function gets a string (its akin to fgets), but:
 *  1) strips off trailing blanks
 *  2) strips off #.* comments
 * Copyright  July 12, 1999: Charles E. Campbell, Jr. -- see <Copyright> file
 */
#include <stdio.h>
#include <ctype.h>
#include "xtdio.h"

#ifdef unix
# include <unistd.h>
#endif
#ifdef AZTEC_C
# include <fcntl.h>
#endif

#if defined(MSDOS) || defined(__BORLANDC__)
# define msdos
#endif

#ifdef msdos
# include <fcntl.h>
# include <io.h>
#endif

/* ---------------------------------------------------------------------
 * Globally accessable data:
 */
char    *ncgetsprompt  = NULL;
unsigned ncgetslinenum = 0;

/* --------------------------------------------------------------------- */

/* ncgets: */
char *ncgets(char *buf,int bufsiz,FILE *fp)
{
char *cmmnt;
char *ret;
int   giveprompt;


giveprompt= fp == stdin && isatty(fileno(fp)) && ncgetsprompt && ncgetsprompt[0];

if(giveprompt) fputs(ncgetsprompt,stdout);
do {
	while(ret= fgets(buf,bufsiz,fp)) {
		++ncgetslinenum;
		for(cmmnt= strchr(buf,'#'); cmmnt; cmmnt= strchr(cmmnt,'#')) {
			if(cmmnt == buf || cmmnt[-1] != '\\') {
				*cmmnt= '\0';		/* remove comment				*/
				break;
				}
			memcpy(cmmnt-1,cmmnt,strlen(cmmnt));
			}
		srmtrblk(buf);				/* remove trailing white space	*/
		if(buf[0]) break;			/* if anything left, return		*/
		if(giveprompt) fputs(ncgetsprompt,stdout);
		}
	} while(giveprompt && !ret);	/* handle interrupts			*/

return ret;
}

/* ===================================================================== */
/* ===================================================================== */
